
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "idiotz/version"

Gem::Specification.new do |spec|
  spec.name          = "idiotz"
  spec.version       = Idiotz::VERSION
  spec.authors       = ["ZhenyuanLau"]
  spec.email         = ["zhenyuanlau@icloud.com"]

  spec.summary       = %q{Idiotz is idiot 2.}
  spec.description   = %q{Idiotz does what you told it.}
  spec.homepage      = "https://rubygems.org/gems/idiotz"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Using other gems
  spec.add_dependency "activesupport", "~> 5.0.0"
  spec.add_dependency "thor"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"

  # Testing our gem
  spec.add_development_dependency "rspec", "~> 3.0"

  # Testing a command line interface
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "aruba"
end
